Dashboards
Update Dashboard
Authorization
apiKeyAuth x-api-key<token>
FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
In: header
Path Parameters
idOrSlug*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v0/project/string/dashboards/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "projectId": "string", "name": "string", "description": "string", "isPublic": true, "isDefault": true, "position": 0, "markerOverrides": { "mode": "inherit", "collections": [ { "collectionId": "string", "enabled": true, "display": { "icon": "string", "emoji": "string", "color": "string" } } ], "hiddenCollectionIds": [ "string" ] }, "createdAt": "string", "updatedAt": "string"}{ "_tag": "DashboardValidationError", "message": "string"}{ "_tag": "UnauthorizedError", "message": "string"}{ "_tag": "ForbiddenError", "message": "string", "code": "string"}{ "_tag": "NotFoundError", "message": "string"}